com.collabnet.ce.soap60.webservices.planning

## Class PlanningStatusValueSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.planning.PlanningStatusValueSoapDO

-     public class PlanningStatusValueSoapDO
      extends Object

  Data object that represents a possible value for planning status.
  Since:
    5.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `VALUE_CLASS_HIDDEN` Possible value for the 'valueClass' field, indicating that a given status value represents a hidden state.
    `static String` | `VALUE_CLASS_VISIBLE` Possible value for the 'valueClass' field, indicating that a given status value represents a visible state.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlanningStatusValueSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Returns 'id'.
    `boolean` | `getIsDefault()` Returns 'isDefault'.
    `String` | `getValue()` Returns 'value'.
    `String` | `getValueClass()` Returns 'valueClass'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setIsDefault(boolean isDefault)` Sets 'isDefault'.
    `void` | `setValue(String value)` Sets 'value'.
    `void` | `setValueClass(String valueClass)` Sets 'valueClass'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VALUE_CLASS_VISIBLE

          public static final String VALUE_CLASS_VISIBLE

      Possible value for the 'valueClass' field, indicating that a given status value represents a visible state.
      See Also:
        Constant Field Values

    - #### VALUE_CLASS_HIDDEN

          public static final String VALUE_CLASS_HIDDEN

      Possible value for the 'valueClass' field, indicating that a given status value represents a hidden state.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PlanningStatusValueSoapDO

          public PlanningStatusValueSoapDO()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'.
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'.
      Parameters:
        `id` - Value of 'id'.

    - #### getValue

          public String getValue()

      Returns 'value'. The value of the status.
      Returns:
        Value of 'value'.

    - #### setValue

          public void setValue(String value)

      Sets 'value'. The value of the status.
      Parameters:
        `value` - Value of 'value'.

    - #### getValueClass

          public String getValueClass()

      Returns 'valueClass'. The visible/hidden value of the status value. Possible values are VALUE_CLASS_VISIBLE and VALUE_CLASS_HIDDEN.
      Returns:
        Value of 'valueClass'.

    - #### setValueClass

          public void setValueClass(String valueClass)

      Sets 'valueClass'. The visible/hidden value of the status value. Possible values are VALUE_CLASS_VISIBLE and VALUE_CLASS_HIDDEN.
      Parameters:
        `valueClass` - Value of 'valueClass'.

    - #### getIsDefault

          public boolean getIsDefault()

      Returns 'isDefault'.
      Returns:
        Value of 'isDefault'.

    - #### setIsDefault

          public void setIsDefault(boolean isDefault)

      Sets 'isDefault'.
      Parameters:
        `isDefault` - Value of 'isDefault'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.